Bug 1731201 - Auth integration tests need to be converted to end-to-end tests
Summary: Auth integration tests need to be converted to end-to-end tests
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Stefan Schimanski
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 15:22 UTC by Sally
Modified: 2019-11-07 09:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 09:17:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sally 2019-07-18 15:22:22 UTC
Description of problem:
This is a list of Auth/OAuth integration tests that need to move to e2e, ASAP.

  TestAccessOriginWebConsoleMultipleIdentityProviders
  TestAuthProxyOnAuthorize -- sally
  TestOAuthBasicAuthPassword -- standa
  TestOAuthExpiration
  TestOauthExternal
  TestOAuthHTPasswd -- standa
  TestOAuthLDAP -- matt
  TestOAuthOIDC
  TestOAuthRequestHeader --matt
  TestOAuthRequestTokenEndpoint
  TestOAuthServerHeaders
  TestOAuthServiceAccountClient
  TestOAuthServiceAccountClientEvent
  TestOAuthStorage
  TestOAuthTimeout
  TestOAuthTimeoutNotEnabled
  TestUserInitialization - this is tightly coupled to oauth-server

See https://github.com/openshift/origin/issues/23258
Opening bz to track

Comment 1 Luis Sanchez 2019-07-19 04:07:52 UTC
I'm taking a stab at TestOAuthServerHeaders (can't edit description)

Comment 2 David Eads 2019-07-24 14:10:42 UTC
A handy link to the final state of test-integration: https://github.com/openshift/origin/tree/ac77c8a2e1f2b93131daca15d1fdbeb8832840e7/test/integration

Comment 3 Stefan Schimanski 2019-08-01 09:58:19 UTC
This is ongoing work, not blocking 4.2.

Comment 5 Michal Fojtik 2019-11-07 09:17:31 UTC
These tests were converted. There is no bug or defect for QA to verify, closing.


Note You need to log in before you can comment on or make changes to this bug.